<script setup>
import AdminAppLayout from "@/Layouts/AdminAppLayout.vue";
import { useForm } from '@inertiajs/vue3'
import Multiselect from "@vueform/multiselect";

const props = defineProps({
    errors: Object,
    tags: Object,
})

const form = useForm({
    tags: [],
    name: null,
    image: null,
})

</script>

<template>
    <AdminAppLayout>
        <h1>Добавить игру</h1>
        <form @submit.prevent="form.post(route('admin.games.store'))">
            <div class="mb-3">

                <div class="select-template__item">
                    <label>Теги</label>
                    <Multiselect
                        mode="multiple"
                        v-model="form.tags"
                        :options="props.tags"
                    />
                </div>

                <label for="title" class="form-label">Заголовок</label>
                <input
                    type="text"
                    class="form-control"
                    id="title"
                    placeholder="Заголовок"
                    v-model="form.name"
                />
            </div>

            <div class="mb-3">
                <label for="formFile" class="form-label">Картинка поста</label>
                <input class="form-control-file" type="file" @input="form.image = $event.target.files[0]" />
            </div>
            <div style="text-align: right; " class="button">
                <button :disabled="form.processing" class="btn btn-success btn-lg" type="submit">Создать</button>
            </div>

            <div v-for="error in errors" class="alert alert-danger" role="alert">
                {{ error }}
            </div>

        </form>
    </AdminAppLayout>
</template>
<style src="@vueform/multiselect/themes/default.css"></style>
<style scoped>
.button {
    text-align: center;
}
.img {
    max-height: 100px;
}
</style>
